Retrieve the details of all the members of a center

This API helps you to retrieve the list of memebers in the specified center.

You must specify the unique identifier of the center as center_id in the API request.
You can also leverage the pagination feature by passing page and size query parameters if you have a large number of records to be displayed. By default, page is set as 1 and size is set as 10. size cannot be more than 100: which means that the maximum records per page cannot be more than 100.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
idguidUnique 32-character identifier of the guest's membership.
statusstringStatus of the membership.
guestobjectContains details of guest.
guest.idguidUnique identifier of the guest.
guest.codestringUnique code given to the guest.
guest.namestringName of the guest.
membershipobjectMembership details of the guest.
membership.idguidUnique 32-character identifier of the membership.
membership.codestringUnique code given to the membership.
membership.namestringName of the membership.
membership.typestringType of the membership.
membership.version_idguidUnique 32-character identifier of the membership version.
start_datedatetimeStart date of the membership.
end_datedatetimeEnd date of the membership.
sold_datedatetimeSold date of the membership.
recurrence_statusstringIndicates status of the recurring membership.
renewal_detailsobjectRenewal details of the membership.
renewal_details.idguidUnique identifier of the membership renewal.
renewal_details.auto_renewalbooleanIndicates whether auto-renewal is enabled.
freeze_datedatetimeFreeze date of the membership.
cancelled_datedatetimeCancellation date of the membership.
closed_datedatetimeClosed date of the membership.
credits_amountdoubleNumber of credits assigned to the membership.
services_amountdoubleNumber of services assigned to the membership.
products_amountdoubleNumber of products assigned to the membership.

error Object

codemessage
401Authorization has been denied for this request.
502Invalid center.
400The request is invalid.
602Cannot access.
Path Params
string
required

Mandatory Unique 32-character identifier of the center.

Query Params
date

Optional Date on which the membership was created.

date

Optional Date on which the membership was last updated.

int32
Defaults to 1

Optional Number of the display page. Default value is 1.

int32
Defaults to 10

Optional Number of records per page. Default value is 10.

string
enum

Optional Indicates the status of the membership: all - -1, active - 1, inactive - 2, frozen - 3, cancelled - 4, expired - 5, closed - 6, not_started - 7, suspended - 8, refund - 9, deleted - 10, failed - 12.

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json